Subject: [bug#73558] Request for merging "wip-gsl-upgrade" branch

From: Ludovic Courtès <[email-masked]>
Date: Wed, 02 Oct 2024 18:55:34 +0200

Ludovic Courtès <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> skribis:
>
>> I’d like to merge the ‘wip-gsl-upgrade’ branch, with the following
>> patches:
>>
>>   a42a779e76 gnu: lib2geom: Update to 1.4.
>>   dcc666e15a gnu: gsl: Update to 2.8.
>>   85a2d861d8 gnu: gsl: Build with ‘-O2 -g’ unconditionally.
>>   db4c0559ec gnu: gsl: Add debug output.
>
> This is being built here:
>
>   https://ci.guix.gnu.org/jobset/gsl-upgrade

I gave up on the lib2geom upgrade because its only direct dependent,
Inkscape, fails to build with it (I guess we’d need to upgrade Inkscape
as well but I didn’t feel like doing that).

Apart from that, it looks good!

Ludo’.